Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.validator
Class ValidatorData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.validator.ValidatorData

All Implemented Interfaces:
  StepDataInterface

    public class ValidatorData

extends BaseStepData
implements StepDataInterface

Since:
  11-jan-2007
Author:
  Matt

Field Summary
`org.pentaho.di.core.row.ValueMetaInterface[]` | `constantsMeta`
`int[]` | `fieldIndexes`
`Object[][]` | `listValues`
`Object[]` | `maximumValue`
`Object[]` | `minimumValue`
`Pattern[]` | `patternDisallowed`
`Pattern[]` | `patternExpected`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`ValidatorData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### fieldIndexes

    public int[] fieldIndexes

### constantsMeta

    public org.pentaho.di.core.row.ValueMetaInterface[] constantsMeta

### minimumValue

    public Object[] minimumValue

### maximumValue

    public Object[] maximumValue

### listValues

    public Object[][] listValues

### patternExpected

    public Pattern[] patternExpected

### patternDisallowed

    public Pattern[] patternDisallowed

Constructor Detail

### ValidatorData

    public ValidatorData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD